import java.util.Scanner;


public class EgorReadInt {

	public static void main(String[] args) throws Exception{
		Scanner in=new Scanner(System.in);
		System.out.println(Math.sqrt(8*Math.sqrt(3)*in.nextInt()));
		in.close();
	}
}

